var Category = function(c) {
	// console.log("Parsing Category "+c.heading);
	this.json = c;
	this.parentApplication = null;
	this.heading = c.heading;
	this.body = c.body;
	this.image = c.image;
	this.color = c.color;
	this.subCategories = new Array();
	this.locations = c.locations;
	this.index = 0;
	this.sponsorImage = c.sponsorlogo;
	this.sponsorLink = c.sponsorurl;
	this.locations118 = (c.locations118) ? c.locations118 : null;
	//console.log(this.locations118);

	this.parseSubCategories();
	// console.log("Parsed Category "+c.heading);
}

Category.prototype.parseSubCategories = function() {
	if  (this.json) {
		// console.log(this.json);
		for (var i=0; i<this.json.subcategories.length; i++) {
			var subCategory = new SubCategory(this.json.subcategories[i], this);
			subCategory.index = i;
			subCategory.parentCategory = this;
			this.subCategories.push(subCategory);
		}
	}
}