AREAdvertQueuePageView.prototype = new AREPage();
AREAdvertQueuePageView.prototype.constructor = AREAdvertQueuePageView;

function AREAdvertQueuePageView(s) {
	this.subCategory = s;
	// this.featuredSection = null;
	this.subCategorySection = null;
	AREPage.prototype.constructor.call(this);
}

AREAdvertQueuePageView.prototype.drawView = function() {
	AREPage.prototype.drawView.call(this);

	var section = new ARESubCategoryHeadingContentView(this.subCategory, {
		sponsorImage: this.subCategory.parentCategory.sponsorImage,
		sponsorLink:  this.subCategory.parentCategory.sponsorLink
	});
	this.addContent(section);

	// console.log("ADVERT QUEUE DRAW_VIEW CALLED");

	// this.featuredSection = new ARESubCategoryGridView({title:"Featured"});
	// this.addContent(this.featuredSection);

	this.subCategorySection = new ARESubCategoryGridView({title:""});
	this.addContent(this.subCategorySection);

	// this.featuredSection.setHidden(true);
	// this.subCategorySection.setHidden(true);

	for (var i=0; i<this.subCategory.advertQueues.length; i++) {

		// console.log("ADVERT QUEUES ["+i+"]");

		// var queue = this.subCategory.advertQueues[i];
		// var thumb = null;
		// if (queue.featured == true) {
		// 	thumb = this.featuredSection.addThumb(queue);
		// 	this.featuredSection.setHidden(false);
		// } else {
		// 	thumb = this.subCategorySection.addThumb(queue);
		// 	this.subCategorySection.setHidden(false);
		// }
		thumb = this.subCategorySection.addThumb(this.subCategory.advertQueues[i]);

		if (thumb) {
			$(thumb).bind(ARESubCategoryThumbViewEvent.SUB_CATEGORY_SELECTED, $.proxy(this.sectionSelectedEvent, this));
		}
	}
}

AREAdvertQueuePageView.prototype.sectionSelectedEvent = function(e, aq) {
	// console.log("----Triggering AdvertQueue PageView Event with aq = "); console.log(aq);
	$(this).trigger(AREAdvertQueuePageViewEvent.ADVERT_QUEUE_SELECTED, [aq]);
}