ARESponsorView.prototype = new AREView();
ARESponsorView.prototype.constructor = ARESponsorView;

function ARESponsorView(i,l) {
	this.linkIcon = null;
	this.hasEvent = true;
	
	this.imageUrl = i;
	this.sponsorLink = l;
	
	AREView.prototype.constructor.call(this);
}

ARESponsorView.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("sponsorLogo");
	$(this.html).removeClass("view");
	if (this.imageUrl) $(this.html).css("background-image","url("+this.imageUrl+")");
	
	this.linkIcon = new AREView();
	this.linkIcon.addViewClass("linkIcon");
	this.addSubview(this.linkIcon);
	
	$(this.html).click($.proxy(this.openSponsor, this));
}

ARESponsorView.prototype.setUserInteractive = function(b) {
	if (b) {
		if (!this.hasEvent) {
			$(this.html).click($.proxy(this.openSponsor, this));
			this.hasEvent = true;
		}
	} else {
		$(this.html).unbind();
		this.hasEvent = false;
	}
}

ARESponsorView.prototype.removeLinkIcon = function() {
	this.linkIcon.removeFromSuperview();
}

ARESponsorView.prototype.openSponsor = function() {
	if (!this.sponsorLink) this.sponsorLink = User.sharedInstance.sponsorLink;
	if (this.sponsorLink != "") {
		window.open(this.sponsorLink, '_blank', 'location=yes');
	}
}