AREStartupView.prototype = new AREView();
AREStartupView.prototype.constructor = AREStartupView;

function AREStartupView() {
	this.spinner = null;
	this.sponsor = null;
	AREView.prototype.constructor.call(this);
}

AREStartupView.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.setViewId("startupView");
	
	this.spinner = new ARESpinnerView();
	this.addSubview(this.spinner);
	
	this.sponsor = new ARESponsorView();
	this.sponsor.removeLinkIcon();
	this.sponsor.setUserInteractive(false);
	this.addSubview(this.sponsor);
}

AREStartupView.prototype.beginSetup = function() {
	User.sharedInstance = new User();
	
	setTimeout($.proxy(this.loadJson, this), 2000);
}

AREStartupView.prototype.loadJson = function() {
	ApplicationData.sharedInstance = new ApplicationData("http://devplatform.co.uk/archant/json/data.json");
	$(ApplicationData.sharedInstance).bind(ApplicationDataEvent.DATA_LOADED, $.proxy(this.setupComplete, this));
}

AREStartupView.prototype.setupComplete = function() {
	$(this).trigger(AREStartupViewEvent.STARTUP_COMPLETE);
}

AREStartupView.prototype.destroy = function() {
	this.spinner.removeFromSuperview();
	this.spinner = null;
	AREView.prototype.destroy.call(this);
}