ARESubCategoryHeadingContentView.prototype = new AREView();
ARESubCategoryHeadingContentView.prototype.constructor = ARESubCategoryHeadingContentView;

function ARESubCategoryHeadingContentView(obj, s) {
	this.subCategoryData = obj;
	
	this.sponsorImage = this.subCategoryData.sponsorImage;
	this.sponsorLink= this.subCategoryData.sponsorLink;
	
	if (s) {
		this.sponsorImage = (s.sponsorImage) ? s.sponsorImage : this.subCategoryData.sponsorImage;
		this.sponsorLink= (s.sponsorLink) ? s.sponsorLink : this.subCategoryData.sponsorLink;
	}
	
	AREView.prototype.constructor.call(this);
}

ARESubCategoryHeadingContentView.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("subCategoryContentView");
	
	this.categoryColor = document.createElement("div");
	$(this.categoryColor).addClass("categoryColor");
	if (this.subCategoryData.color) $(this.categoryColor).css("background-color",this.subCategoryData.color);
	$(this.html).append(this.categoryColor);
	
	this.articleHeaderElement = new AREView(null,"h1");
	this.articleHeaderElement.setHtml(this.subCategoryData.heading);
	this.addSubview(this.articleHeaderElement);
	
	this.articleContentElement = new AREView(null,"p");
	this.articleContentElement.setHtml(this.subCategoryData.body);
	this.addSubview(this.articleContentElement);
	
	if (this.sponsorImage && this.sponsorLink) {
		this.sponsor = new ARESponsorView(this.sponsorImage, this.sponsorLink);
		this.addSubview(this.sponsor);
	}
}