ARESubCategoryThumbView.prototype = new AREButton();
ARESubCategoryThumbView.prototype.constructor = ARESubCategoryThumbView;

function ARESubCategoryThumbView(s) {
	this.subCategory = s;
	this.caption = null;
	AREButton.prototype.constructor.call(this);
}

ARESubCategoryThumbView.prototype.drawView = function() {
	AREButton.prototype.drawView.call(this);
	this.addViewClass("subCategoryThumbView");
	
	if (this.subCategory.thumbnail) {
		$(this.html).css("background-image","url("+new AREImage(this.subCategory.thumbnail).getImage()+")");
	}
	
	if (this.subCategory.heading) {
		this.caption = new AREView();
		this.caption.addViewClass("thumbCaption");
		var txt = this.subCategory.heading.replace(/(<([^>]+)>)/ig,"");
		$(this.caption.html).append(txt);
		this.addSubview(this.caption);
		
		setTimeout($.proxy(this.updateCaptionPosition, this), 200);
	}
	
	$(this.html).click($.proxy(this.thumbPressedEvent, this));
}

ARESubCategoryThumbView.prototype.updateCaptionPosition = function() {
	if (this.caption) {
		$(this.caption.html).css("margin-top",(-10-this.caption.height()).toString()+"px");
	}
}

ARESubCategoryThumbView.prototype.thumbPressedEvent = function() {
	$(this).trigger(ARESubCategoryThumbViewEvent.SUB_CATEGORY_SELECTED, [this.subCategory])
}