var AdvertQueue = function(a) {
	// console.log("      Parsing Advert Queue");
	this.json = a;
	this.parentSubCategory = null;
	this.article = ApplicationData.sharedInstance.getArticleQueueById(parseInt(this.json.id));;
	this.index = 0;
	this.heading = this.article.name;
	this.thumbnail = this.article.thumbnail;
	this.featured = a.featured;
	this.slides = new Array();
	this.locations = (this.article.locations) ? this.article.locations : null;

	this.parseArticle();
	// console.log("      Parsed Advert Queue "+this.heading);
}

AdvertQueue.prototype.parseArticle = function() {
	for (var i=0; i<this.article.slides.length; i++) {
		var article = new Article(this.article.slides[i]);
		article.index = i;
		article.parentAdvertQueue = this;
		this.slides.push(article);
	}
	
	if (this.article) {
		for (var l=0; l<this.article.locations.length; l++) {
			var location = this.article.locations[l];
			var ref = "location"+location.toString();
			locationsArticleReference[ref] = this;
		}
	}
}