var Article = function(a) {
	// console.log("         Parsing Article type "+a.type);
	this.json = a;
	this.parentAdvertQueue = null;
	this.type = a.type;
	this.heading = (a.heading) ? a.heading : null;
	this.body = (a.body) ? a.body : null;
	this.background = (a.background) ? a.background : null;
	this.link = (a.link) ? a.link : null;
	this.preview = (a.preview) ? a.preview : null;
	this.address = (a.address) ? a.address : null;
	this.html = (a.html) ? a.html : null;
	this.images = null;
	this.location = (a.location) ? ApplicationData.sharedInstance.getLocationById(a.location) : null;
	this.index = 0;
	this.id = -1;
	this.longitude = (a.longitude != null) ? a.longitude : null;
	this.latitude = (a.latitude != null) ? a.latitude : null;

	this.webAddress = a.webaddress;
	this.telephone = a.telephone;
	this.telephone2 = a.telephone2;
	this.fax = a.fax;
	this.email = a.email;
	this.logo = (a.logo) ? a.logo : null;
	this.parseImages();
	// console.log("         Parsed Article type "+a.type);
}

Article.prototype.parseImages = function() {
	if (this.json.images) {
		this.images = new Array();
		for (var i=0; i<this.json.images.length; i++) {
			this.images.push(this.json.images[i]);
		}
	}
}