function AREDisplayManager() {
	this.functionArray = new Array();
	$(window).resize($.proxy(this.update, this));
}

AREDisplayManager.prototype.addUpdateFunction = function(f) {
	this.functionArray.push(f);
	this.update();
}

AREDisplayManager.prototype.update = function() {
	for (var i=0; i<this.functionArray.length; i++) {
		this.functionArray[i].call();
	}
}

AREDisplayManager.sharedInstance = null;

AREDisplayManager.addUpdateFunction = function(f) {
	if (AREDisplayManager.sharedInstance) {
		AREDisplayManager.sharedInstance.addUpdateFunction(f);
	}
}

AREDisplayManager.update = function(f) {
	if (AREDisplayManager.sharedInstance) {
		AREDisplayManager.sharedInstance.update(f);
	}
}