AREArrowContainerView.prototype = new AREView();
AREArrowContainerView.prototype.constructor = AREArrowContainerView;

function AREArrowContainerView(id) {
	this.leftArrow = null;
	this.rightArrow = null;
	this.downArrow = null;

	AREView.prototype.constructor.call(this, id);
}

AREArrowContainerView.prototype.init = function() {
	this.addViewClass("arrowContainer");

	AREView.prototype.init.call(this);
}

AREArrowContainerView.prototype.drawView = function() {
	this.downArrow = new AREArrowView();
	this.downArrow.addViewClass("arrowIndicatorDown");
	this.addSubview(this.downArrow);

	this.rightArrow = new AREArrowView();
	this.rightArrow.addViewClass("arrowIndicatorRight");
	this.addSubview(this.rightArrow);

	this.leftArrow = new AREArrowView();
	this.leftArrow.addViewClass("arrowIndicatorLeft");
	this.addSubview(this.leftArrow);
}

AREArrowContainerView.prototype.displayArrows = function(d,l,r) {
	//$(this.downArrow.html).css("opacity","0");
	$(this.rightArrow.html).css("opacity","0");
	$(this.leftArrow.html).css("opacity","0");

	//if (d) $(this.downArrow.html).css("opacity","1");
	if (l) $(this.leftArrow.html).css("opacity","1");
	if (r) $(this.rightArrow.html).css("opacity","1");

	//AREAnimation.to(this.downArrow.html, 0.6, {delay:3, opacity:"0", ease:"Expo.easeInOut"});
	AREAnimation.to(this.leftArrow.html, 1.2, {delay:4, opacity:"0", ease:"Expo.easeInOut"});
	AREAnimation.to(this.rightArrow.html, 1.2, {delay:4, opacity:"0", ease:"Expo.easeInOut"});
}