AREArticlePageView.prototype = new AREPage();
AREArticlePageView.prototype.constructor = AREArticlePageView;

function AREArticlePageView(aq) {
	this.advertQueue = aq;
	this.contentViews = new Array();
	AREPage.prototype.constructor.call(this);
}

AREArticlePageView.prototype.drawView = function() {
	AREPage.prototype.drawView.call(this);

	// console.log("ARTICLE DRAW_VIEW CALLED");

	if (googleAnalytics && navigator && navigator.onLine) googleAnalytics.trackPage("application/advertqueue/"+this.advertQueue.heading+"/");

	for (var i=0; i<this.advertQueue.slides.length; i++) {
		var contentData = this.advertQueue.slides[i];
		var content = null;

		if (contentData.type == 0) {
			content = new AREArticleContentView({title:contentData.heading, content:contentData.body, background:contentData.background, images:contentData.images});
		}

		if (contentData.type == 1 && ApplicationData.sharedInstance.hasMaps) {
			content = new AREMapContentView(contentData, this.advertQueue);
			$(content).bind(AREMapContentViewEvent.EXPAND_BUTTON_PRESSED, $.proxy(this.expandMapButtonPressed, this));
			// $(content).bind(AREMapContentViewEvent.VIEW_MORE, $.proxy(this.viewMorePressed, this));
		}

		if (contentData.type == 2) {
			content = new AREVideoContentView(contentData);
		}

		if (contentData.type == 3) {
			content = new AREArticleFooterContentView(contentData);
		}

		if (contentData.type == 4) {

		}

		if (content) {
			content.setViewId("_articleContent"+i.toString());
			this.addContent(content);
			this.contentViews.push(content);
		}
	}
}

// AREArticlePageView.prototype.viewMorePressed = function(e,d) {
// 	$(this).trigger(AREPageEvent.VIEW_ARTICLE, [d]);
// }

AREArticlePageView.prototype.expandMapButtonPressed = function(e,c) {
	$(this).trigger(AREPageEvent.EXPAND_BUTTON_PRESSED, [c]);
}

AREArticlePageView.prototype.viewAdded = function() {
	for (var i=0; i<this.contentViews.length; i++) {
		this.contentViews[i].viewAdded();
	}
}