ARECategoryPageView.prototype = new AREPage();
ARECategoryPageView.prototype.constructor = ARECategoryPageView;

function ARECategoryPageView(c) {
	this.categories = c;
	AREPage.prototype.constructor.call(this);
}

ARECategoryPageView.prototype.drawView = function() {
	AREPage.prototype.drawView.call(this);

	for (var i=0; i<this.categories.length; i++) {
		var category = this.categories[i];
		var section = new ARECategoryContentView(category);
		$(section).bind(ARECategoryContentViewEvent.SELECTED, $.proxy(this.sectionSelectedEvent, this));
		this.addContent(section);
	}
}

ARECategoryPageView.prototype.sectionSelectedEvent = function(e, c) {
	$(this).trigger(ARECategoryPageViewEvent.CATEGORY_SELECTED, [c]);
}