ARECheckBox.prototype = new AREView();
ARECheckBox.prototype.constructor = ARECheckBox;

function ARECheckBox() {
	this.checked = true;
	
	AREView.prototype.constructor.call(this);
}

ARECheckBox.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("checkBox");
	
	$(this.html).click($.proxy(this.wasClicked, this));
}

ARECheckBox.prototype.wasClicked = function() {
	if (this.checked) {
		$(this.html).css("background-image","none");
	} else {
		$(this.html).css("background-image","url(images/tick.png)");
	}
	
	this.checked = !this.checked;
	
	$(this).trigger(ARECheckboxEvent.STATE_CHANGED, [this.checked]);
}

ARECheckBox.prototype.setChecked = function(b) {
	this.checked = b;
	
	if (!this.checked) {
		$(this.html).css("background-image","none");
	} else {
		$(this.html).css("background-image","url(images/tick.png)");
	}
}