AREMediaViewer.prototype = new AREView();
AREMediaViewer.prototype.constructor = AREMediaViewer;

function AREMediaViewer(t,l) {
	this.type = t;
	this.link = l;
	this.mediaContainer = null;
	
	AREView.prototype.constructor.call(this);
}

AREMediaViewer.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("mediaViewer");
	
	if (this.type == 0) {
		this.mediaContainer = new AREView();
		this.mediaContainer.addViewClass("mediaViewerImage");
		this.mediaContainer.setBackground(this.link);
		this.addSubview(this.mediaContainer);
	}
	
	if (this.type == 1) {
		this.mediaContainer = new AREView(null,"iframe");
		this.mediaContainer.setAttributes({
			width : "100%",
			height : "100%",
			frameborder : "0",
			allowfullscreen : "",
			autoPlay : true,
			src : new AREVideo(this.link).getVideo()
		});
		this.addSubview(this.mediaContainer);
	}
	
	var btn = new AREView();
	btn.addViewClass("mediaViewerButton");
	btn.setHtml("Done");
	this.addSubview(btn);
	
	$(this.html).click($.proxy(this.closeView, this));
}

AREMediaViewer.prototype.closeView = function() {
	AREModalView.sharedInstance.removeCurrentView();
}


var AREMediaViewerType = function() {
	
}

AREMediaViewerType.IMAGE = 0;
AREMediaViewerType.VIDEO = 1;