ARENavigationBarView.prototype = new AREView();
ARENavigationBarView.prototype.constructor = ARENavigationBarView;

function ARENavigationBarView() {
	this.menuButton = null;
	this.mapButton = null;
	this.logo = null;
	this.sponsor = null;

	AREView.prototype.constructor.call(this);
}

ARENavigationBarView.prototype.drawView = function() {
	this.setViewId("navigationBarView");

	if (User.sharedInstance.sponsorLink) {
		this.sponsor = new ARESponsorView();
		this.sponsor.removeLinkIcon();
		this.addSubview(this.sponsor);
	}

	this.menuButton = new AREButton();
	this.menuButton.setViewId("menuButton");
	this.addSubview(this.menuButton);

	this.mapButton = new AREButton();
	this.mapButton.setViewId("mapButton");
	this.addSubview(this.mapButton);

	var menuIcon = new AREView();
	menuIcon.addViewClass("buttonIcon");
	menuIcon.addViewClass("menuIcon");
	this.menuButton.addSubview(menuIcon);

	var mapIcon = new AREView();
	mapIcon.addViewClass("buttonIcon");
	mapIcon.addViewClass("mapIcon");
	this.mapButton.addSubview(mapIcon);
}