ARESubCategoryGridView.prototype = new AREView();
ARESubCategoryGridView.prototype.constructor = ARESubCategoryGridView;

function ARESubCategoryGridView(obj) {
	this.gridData = obj;
	this.gridHeader = null;
	this.thumbnails = null;
	AREView.prototype.constructor.call(this);
}

ARESubCategoryGridView.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("subCategoryGridView");
	
	this.gridHeader = new AREView(null,"h1");
	this.gridHeader.setHtml(this.gridData.title);
	this.addSubview(this.gridHeader);
}

ARESubCategoryGridView.prototype.addThumb = function(d) {
	var thumb = new ARESubCategoryThumbView(d);
	this.addSubview(thumb);
	return thumb;
}