AREVideoContentView.prototype = new AREContentView();
AREVideoContentView.prototype.constructor = AREVideoContentView;

function AREVideoContentView(d) {
	this.dataObject = d;
	this.iFrame = null;
	this.link = d.link;
	this.playButton = null;

	AREView.prototype.constructor.call(this);
}

AREVideoContentView.prototype.drawView = function() {
	AREView.prototype.drawView.call(this);
	this.addViewClass("youTubeVideoContent");

	this.iFrame = new AREView(null, "iframe");
	this.iFrame.setViewClass(null);
	this.iFrame.setAttributes({
		width : "100%",
		height : "100%",
		frameborder : "0",
		allowfullscreen : ""
	});
	this.addSubview(this.iFrame);

	/*AREView.prototype.drawView.call(this);
	this.addViewClass("youTubeVideoPreviewContent");

	this.setBackground(new AREImage(this.dataObject.preview).getImage());

	this.playButton = new AREView();
	this.playButton.addViewClass("playButton");
	this.addSubview(this.playButton);
	$(this.playButton.html).click($.proxy(this.playButtonPressed, this));*/
}

AREVideoContentView.prototype.playButtonPressed = function() {
	AREModalView.sharedInstance.displayView(new AREMediaViewer(AREMediaViewerType.VIDEO, this.dataObject.link));
}

AREVideoContentView.prototype.viewAdded = function() {
	AREContentView.prototype.viewAdded.call(this);
	if (this.link) this.iFrame.setAttributes({src:new AREVideo(this.link).getVideo()});
}